<?php

//////////////////////////////////////////////////////////////
//===========================================================
// plans_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function getSortHeader($header_name, $sort_column, $sort_column_by, $column ,$size = 90){

global $theme, $globals;

$str = '<div class="d-inline-flex align-items-center" style="width:'.$size.'px;">
			<div class="mr-2">
				<span class="" >'.$header_name.'</span>
			</div>
			<span class="sorter">
				<a class="text-dark" href="'.$globals['index'].'act=user_plans&sortcolumn='.$column.'&sortby=asc"><i class="fas fa-sort-up"></i></a><br>
				<a class="text-dark" href="'.$globals['index'].'act=user_plans&sortcolumn='.$column.'&sortby=desc"><i class="fas fa-sort-down"></i></a>
			</span>
		</div>';
	
	return $str;
}

function user_plans_theme(){

global $theme, $globals, $kernel, $user, $l, $plans, $error, $done;

softheader($l['<title>']);

echo '
<div class="bg" >
<div class="row mx-auto my-3">
	<div class="col-10">
		<h4 class="text-dark"><i class="fas fa-clipboard"></i> User '.$l['plans_tit'].'</h4>
	</div>
	<div class="col-2 text-right">
		<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>&nbsp;<span>
		<a href="'.$globals['docs'].'adding-a-plan/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
	</div>
</div>
';

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function Delplans(uplid ,ele){

	uplid = uplid || 0;
	
	// List of ids to delete
	var plan_list = new Array();
	
	if(uplid < 1){
		
		if($(ele).parent().prev().find("select").val() != 1){
			showalert("'.$l['no_action'].'","1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			plan_list.push($(this).val());
		});
		
	}else{
		
		plan_list.push(uplid);
		
	}
	
	if(plan_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["delete"] = plan_list.join(",");

			//alert(finalData);
			//return false;

			$("#progress_bar").show();

			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=user_plans&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert("'.$l['action_completed'].'");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	
	
	
	
	return false;
};

// ]]></script>

<div id="showsearch" style="display:'.(optREQ('search') || (!empty($plans) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="plans" id="plans" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="user_plans">
		
<div class="form-group_head">
  <div class="row mx-auto w-100">
  	<div class="col-sm-3"></div>
	<div class="col-sm-3"><label>'.$l['sbyplan'].'</label>
		<input type="text" class="form-control" name="planname" id="planname" size="30" value="'.REQval('planname','').'"/></div>
	<div class="col-sm-3"><label>'.$l['sbyplantype'].'</label>
      <select name="ptype" class="form-control virt-select">
	      <option value="-1" '.REQselect('ptype', '', true).'>---</option>
	      <option value="0" '.REQselect('ptype', '0').'>'.$l['user'].'</option>
	      <option value="2" '.REQselect('ptype', '2').'>'.$l['cloud'].'</option>
	      <option value="1" '.REQselect('ptype', '1').'>'.$l['admin'].'</option>
      </select>
    </div>
  </div>
  <div class="row mx-auto w-100 my-2">
  	<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div> 
  </div>
</div>
</form>
</div>';

if(!empty($done)){
	show_alert($l['saved']);
	//echo '<div class="notice_pop"><b>NOTE : </b>&nbsp; '..'</div>';
}

if(empty($plans)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_plans'], "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_plans']).'</div>';
	
}else{
	echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="plans_task_select" id="plans_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="plans_submit" class="go_btn" name="plans_submit" value="'.$l['go'].'" onclick="Delplans(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_plans" id="multi_plans" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter">
<tr>
	<th align="center" class="min_width">
	'.getSortHeader($l['pl_id'], $sort_column, $sort_column_by, 'uplid' ,30).'
	</th>
	<th  align="center">'.getSortHeader($l['pl_name'], $sort_column, $sort_column_by, 'plan_name' ,51).'</th>
	<th align="center" width="70">'.$l['pl_type'].'</th>
	<th align="center" width="75">'.getSortHeader($l['pl_space'], $sort_column, $sort_column_by, 'space' ,83).'</th>
	<th align="center" width="75">'.getSortHeader($l['pl_ram'], $sort_column, $sort_column_by, 'ram' ,70).'</th>
	<th align="center" width="75">'.$l['pl_burst'].'</th>
	<th align="center" width="75">'.getSortHeader($l['pl_cpu'], $sort_column, $sort_column_by, 'cpu' ,75).'</th>
	<th align="center" width="75">'.getSortHeader($l['pl_cores'], $sort_column, $sort_column_by, 'cores' ,80).'</th>
	<th  align="center" width="75">'.getSortHeader($l['pl_band'], $sort_column, $sort_column_by, 'bandwidth' ,111).'</th>
	<th align="center" colspan="2">'.$l['manage'].'</th>
	<th class="z-index-1 min_width" align="center">
		'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
	</th>
</tr>';
	$i = 1;
	$user = array('user ' ,'user-tie ' ,'user-shield ');

	foreach($plans as $k => $v){
echo '<tr>
	<td align="center">'.$v['uplid'].'</td>
	<td>'.$v['plan_name'].'</td>
	<td align="center"><h6><i class="fas fa-'.$user[$v['type']].' text-dark"></i></h6></td>
	<td align="center">'.$v['space'].' GB</td>
	<td align="center">'.$v['ram'].' MB</td>
	<td align="center">'.(!empty($v['swap']) ? $v['swap'] : $v['burst']).' MB</td>
	<td align="center">'. $v['cpu'].'</td>
	<td align="center">'.$v['cores'].'</td>
	<td align="center">'.(empty($v['bandwidth']) ? $l['unlimited'] : $v['bandwidth']).' GB</td>
	<td align="center" width="24">
		<a href="?act=edituser_plans&uplid='.$v['uplid'].'" title="Edit"><i class="fas fa-edit text-warning"></i></a>
	</td>
	<td align="center" width="24">
		<a href="javascript:void(0);" onclick="return Delplans('.$k.');" title="Delete"><i class="fas fa-trash text-danger"></i></a>
	</td>
	<td width="20" valign="top" align="center">
		'.get_checkbox('plans_list[]', '', '', array('chk_it' => 0), $k).'
	</td>
	</tr>';	
	$i++;
	}

echo '</table>
</div>';
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="plans_task_select" id="plans_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="plans_submit" class="go_btn" name="plans_submit" value="'.$l['go'].'" onclick="Delplans(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
</form>

<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>';

}
echo '<center><a href="'.$globals['ind'].'act=adduser_plans" class="link_btn">Add User Plan</a>
</center></div><br>';
softfooter();

}
?>